Package commoble.morered.bitwise_logic

# Class BitwiseLogicPlateBlock

java.lang.Object
net.minecraft.world.level.block.state.BlockBehaviour
net.minecraft.world.level.block.Block
commoble.morered.plate_blocks.PlateBlock
commoble.morered.bitwise_logic.BitwiseLogicPlateBlock

All Implemented Interfaces:
  `net.minecraft.world.flag.FeatureElement`, `net.minecraft.world.level.block.EntityBlock`, `net.minecraft.world.level.ItemLike`, `net.neoforged.neoforge.common.extensions.IBlockExtension`

Direct Known Subclasses:
  `SingleInputBitwiseLogicPlateBlock`, `TwoInputBitwiseLogicPlateBlock`

public abstract class BitwiseLogicPlateBlock extends PlateBlock implements net.minecraft.world.level.block.EntityBlock

## Nested Class Summary

## Nested classes/interfaces inherited from class net.minecraft.world.level.block.Block

`net.minecraft.world.level.block.Block.BlockStatePairKey`

## Nested classes/interfaces inherited from class net.minecraft.world.level.block.state.BlockBehaviour

`net.minecraft.world.level.block.state.BlockBehaviour.BlockStateBase, net.minecraft.world.level.block.state.BlockBehaviour.OffsetFunction, net.minecraft.world.level.block.state.BlockBehaviour.OffsetType, net.minecraft.world.level.block.state.BlockBehaviour.Properties, net.minecraft.world.level.block.state.BlockBehaviour.StateArgumentPredicate<A>, net.minecraft.world.level.block.state.BlockBehaviour.StatePredicate`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final net.minecraft.world.phys.shapes.VoxelShape[]`
`DOUBLE_PLATE_SHAPES_BY_DIRECTION`
`static final ChanneledPowerSupplier`
`NO_POWER_SUPPLIER`
`static final int`
`TICK_DELAY`

### Fields inherited from class commoble.morered.plate_blocks.PlateBlock

`ATTACHMENT_DIRECTION, ROTATION, SHAPES_BY_DIRECTION`

### Fields inherited from class net.minecraft.world.level.block.Block

`BLOCK_STATE_REGISTRY, CODEC, INDESTRUCTIBLE, INSTANT, stateDefinition, UPDATE_ALL, UPDATE_ALL_IMMEDIATE, UPDATE_CLIENTS, UPDATE_IMMEDIATE, UPDATE_INVISIBLE, UPDATE_KNOWN_SHAPE, UPDATE_LIMIT, UPDATE_MOVE_BY_PISTON, UPDATE_NEIGHBORS, UPDATE_NONE, UPDATE_SUPPRESS_DROPS`

### Fields inherited from class net.minecraft.world.level.block.state.BlockBehaviour

`drops, dynamicShape, explosionResistance, friction, hasCollision, isRandomlyTicking, jumpFactor, properties, requiredFeatures, soundType, speedFactor, UPDATE_SHAPE_ORDER`

### Fields inherited from interface net.minecraft.world.flag.FeatureElement

`FILTERED_REGISTRIES`

## Constructor Summary

Constructors
Constructor
Description
`BitwiseLogicPlateBlock(net.minecraft.world.level.block.state.BlockBehaviour.Properties properties)`

## Method Summary

Modifier and Type
Method
Description
`abstract boolean`
`canConnectToAdjacentCable(net.minecraft.world.level.BlockGetter world, net.minecraft.core.BlockPos thisPos, net.minecraft.world.level.block.state.BlockState thisState, net.minecraft.core.BlockPos wirePos, net.minecraft.world.level.block.state.BlockState wireState, net.minecraft.core.Direction wireFace, net.minecraft.core.Direction directionToWire)`
`net.minecraft.world.phys.shapes.VoxelShape`
`getShape(net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.BlockGetter level, net.minecraft.core.BlockPos pos, net.minecraft.world.phys.shapes.CollisionContext context)`
Deprecated.
`net.minecraft.world.level.block.entity.BlockEntity`
`newBlockEntity(net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state)`
`void`
`onNeighborChange(net.minecraft.world.level.block.state.BlockState thisState, net.minecraft.world.level.LevelReader levelReader, net.minecraft.core.BlockPos thisPos, net.minecraft.core.BlockPos neighborPos)`
`protected void`
`onPlace(net.minecraft.world.level.block.state.BlockState oldState, net.minecraft.world.level.Level level, net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState newState, boolean isMoving)`
`void`
`setPlacedBy(net.minecraft.world.level.Level level, net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.entity.LivingEntity placer, net.minecraft.world.item.ItemStack stack)`
Called by ItemBlocks after a block is set in the world, to allow post-place logic
`void`
`tick(net.minecraft.world.level.block.state.BlockState oldBlockState, net.minecraft.server.level.ServerLevel level, net.minecraft.core.BlockPos pos, net.minecraft.util.RandomSource rand)`
`protected abstract void`
`updatePower(net.minecraft.world.level.Level world, net.minecraft.core.BlockPos thisPos, net.minecraft.world.level.block.state.BlockState thisState)`
`net.minecraft.world.ItemInteractionResult`
`useItemOn(net.minecraft.world.item.ItemStack stack, net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.Level level, net.minecraft.core.BlockPos pos, net.minecraft.world.entity.player.Player player, net.minecraft.world.InteractionHand hand, net.minecraft.world.phys.BlockHitResult hit)`

### Methods inherited from class commoble.morered.plate_blocks.PlateBlock

`createBlockStateDefinition, getStateForPlacement, mirror, rotate`

### Methods inherited from class net.minecraft.world.level.block.Block

`animateTick, appendHoverText, asBlock, asItem, box, builtInRegistryHolder, byItem, canSupportCenter, canSupportRigidBlock, codec, defaultBlockState, destroy, dropFromExplosion, dropResources, dropResources, dropResources, fallOn, getCloneItemStack, getDescriptionId, getDrops, getDrops, getExplosionResistance, getFriction, getId, getJumpFactor, getName, getRenderPropertiesInternal, getShapeForEachState, getSpeedFactor, getStateDefinition, handlePrecipitation, hasDynamicShape, initializeClient, isExceptionForConnection, isFaceFull, isPossibleToRespawnInThis, isShapeFullBlock, playerDestroy, playerWillDestroy, popExperience, popResource, popResourceFromFace, pushEntitiesUp, registerDefaultState, shouldRenderFace, spawnDestroyParticles, stateById, stepOn, toString, tryDropExperience, updateEntityAfterFallOn, updateFromNeighbourShapes, updateOrDestroy, updateOrDestroy, wasExploded, withPropertiesOf`

### Methods inherited from class net.minecraft.world.level.block.state.BlockBehaviour

`attack, canBeReplaced, canBeReplaced, canSurvive, defaultDestroyTime, defaultMapColor, entityInside, getAnalogOutputSignal, getBlockSupportShape, getCollisionShape, getDestroyProgress, getDirectSignal, getDrops, getFluidState, getInteractionShape, getLightBlock, getLootTable, getMaxHorizontalOffset, getMaxVerticalOffset, getMenuProvider, getOcclusionShape, getRenderShape, getSeed, getShadeBrightness, getSignal, getSoundType, getVisualShape, hasAnalogOutputSignal, isAir, isCollisionShapeFullBlock, isOcclusionShapeFullBlock, isPathfindable, isRandomlyTicking, isSignalSource, neighborChanged, onExplosionHit, onProjectileHit, onRemove, propagatesSkylightDown, properties, propertiesCodec, randomTick, requiredFeatures, simpleCodec, skipRendering, spawnAfterBreak, triggerEvent, updateIndirectNeighbourShapes, updateShape, useShapeForLightOcclusion, useWithoutItem`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface net.minecraft.world.level.block.EntityBlock

`getListener, getTicker`

### Methods inherited from interface net.minecraft.world.flag.FeatureElement

`isEnabled`

### Methods inherited from interface net.neoforged.neoforge.common.extensions.IBlockExtension

`addLandingEffects, addRunningEffects, canBeHydrated, canConnectRedstone, canDropFromExplosion, canEntityDestroy, canHarvestBlock, canStickTo, canSustainPlant, collisionExtendsVertically, getAdjacentBlockPathType, getAppearance, getBeaconColorMultiplier, getBedDirection, getBlockPathType, getBubbleColumnDirection, getCloneItemStack, getEnchantPowerBonus, getExpDrop, getExplosionResistance, getFireSpreadSpeed, getFlammability, getFriction, getLightEmission, getMapColor, getPistonPushReaction, getRespawnPosition, getSoundType, getStateAtViewpoint, getToolModifiedState, getWeakChanges, hasDynamicLightEmission, hidesNeighborFace, isBed, isBurning, isConduitFrame, isEmpty, isFertile, isFireSource, isFlammable, isLadder, isPortalFrame, isScaffolding, isSlimeBlock, isStickyBlock, makesOpenTrapdoorAboveClimbable, onBlockExploded, onBlockStateChange, onCaughtFire, onDestroyedByPlayer, onDestroyedByPushReaction, onTreeGrow, rotate, setBedOccupied, shouldCheckWeakPower, shouldDisplayFluidOverlay, supportsExternalFaceHiding`

## Field Details

### TICK_DELAY

public static final int TICK_DELAY

See Also:
  - Constant Field Values

### DOUBLE_PLATE_SHAPES_BY_DIRECTION

public static final net.minecraft.world.phys.shapes.VoxelShape[] DOUBLE_PLATE_SHAPES_BY_DIRECTION

### NO_POWER_SUPPLIER

public static final ChanneledPowerSupplier NO_POWER_SUPPLIER

## Constructor Details

### BitwiseLogicPlateBlock

public BitwiseLogicPlateBlock(net.minecraft.world.level.block.state.BlockBehaviour.Properties properties)

## Method Details

### updatePower

protected abstract void updatePower(net.minecraft.world.level.Level world, net.minecraft.core.BlockPos thisPos, net.minecraft.world.level.block.state.BlockState thisState)

### canConnectToAdjacentCable

public abstract boolean canConnectToAdjacentCable(@Nonnull net.minecraft.world.level.BlockGetter world, @Nonnull net.minecraft.core.BlockPos thisPos, @Nonnull net.minecraft.world.level.block.state.BlockState thisState, @Nonnull net.minecraft.core.BlockPos wirePos, @Nonnull net.minecraft.world.level.block.state.BlockState wireState, @Nonnull net.minecraft.core.Direction wireFace, @Nonnull net.minecraft.core.Direction directionToWire)

### newBlockEntity

public net.minecraft.world.level.block.entity.BlockEntity newBlockEntity(net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state)

Specified by:
  `newBlockEntity` in interface `net.minecraft.world.level.block.EntityBlock`

### getShape

@Deprecated public net.minecraft.world.phys.shapes.VoxelShape getShape(net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.BlockGetter level, net.minecraft.core.BlockPos pos, net.minecraft.world.phys.shapes.CollisionContext context)
Deprecated.

Overrides:
  `getShape` in class `PlateBlock`

### setPlacedBy

public void setPlacedBy(net.minecraft.world.level.Level level, net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.entity.LivingEntity placer, net.minecraft.world.item.ItemStack stack)
Called by ItemBlocks after a block is set in the world, to allow post-place logic

Overrides:
  `setPlacedBy` in class `net.minecraft.world.level.block.Block`

### onPlace

protected void onPlace(net.minecraft.world.level.block.state.BlockState oldState, net.minecraft.world.level.Level level, net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState newState, boolean isMoving)

Overrides:
  `onPlace` in class `net.minecraft.world.level.block.state.BlockBehaviour`

### onNeighborChange

public void onNeighborChange(net.minecraft.world.level.block.state.BlockState thisState, net.minecraft.world.level.LevelReader levelReader, net.minecraft.core.BlockPos thisPos, net.minecraft.core.BlockPos neighborPos)

Specified by:
  `onNeighborChange` in interface `net.neoforged.neoforge.common.extensions.IBlockExtension`

### tick

public void tick(net.minecraft.world.level.block.state.BlockState oldBlockState, net.minecraft.server.level.ServerLevel level, net.minecraft.core.BlockPos pos, net.minecraft.util.RandomSource rand)

Overrides:
  `tick` in class `net.minecraft.world.level.block.state.BlockBehaviour`

### useItemOn

public net.minecraft.world.ItemInteractionResult useItemOn(net.minecraft.world.item.ItemStack stack, net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.Level level, net.minecraft.core.BlockPos pos, net.minecraft.world.entity.player.Player player, net.minecraft.world.InteractionHand hand, net.minecraft.world.phys.BlockHitResult hit)

Overrides:
  `useItemOn` in class `net.minecraft.world.level.block.state.BlockBehaviour`